Index: comm_select.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/comm_select.cc,v
retrieving revision 1.11
diff -u -p -r1.11 comm_select.cc
--- comm_select.cc	7 Jul 2003 02:12:57 -0000	1.11
+++ comm_select.cc	29 Aug 2004 09:07:21 -0000
@@ -486,7 +486,7 @@ comm_select(int msec)
             if (ignoreErrno(errno))
                 break;
 
-            debug(50, 0) ("comm_select: select failure: %s\n",
+            debug(5, 0) ("comm_select: select failure: %s\n",
                           xstrerror());
 
             examine_select(&readfds, &writefds);
Index: win32.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/win32.cc,v
retrieving revision 1.7
diff -u -p -r1.7 win32.cc
--- win32.cc	4 Aug 2003 02:12:46 -0000	1.7
+++ win32.cc	29 Aug 2004 09:07:21 -0000
@@ -373,9 +373,11 @@ WIN32_Exit()
 {
 #if USE_WIN32_SERVICE
 
-    if (!Squid_Aborting) {
-        svcStatus.dwCurrentState = SERVICE_STOPPED;
-        SetServiceStatus(svcHandle, &svcStatus);
+    if (WIN32_run_mode == _WIN_SQUID_RUN_MODE_SERVICE) {
+        if (!Squid_Aborting) {
+            svcStatus.dwCurrentState = SERVICE_STOPPED;
+            SetServiceStatus(svcHandle, &svcStatus);
+        }
     }
 
 #endif
Index: fs/coss/store_dir_coss.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/fs/coss/store_dir_coss.cc,v
retrieving revision 1.16
diff -u -p -r1.16 store_dir_coss.cc
--- fs/coss/store_dir_coss.cc	4 Mar 2004 03:05:40 -0000	1.16
+++ fs/coss/store_dir_coss.cc	29 Aug 2004 09:07:22 -0000
@@ -428,14 +428,6 @@ storeCossDirCloseTmpSwapLog(CossSwapDir 
     char *new_path = xstrdup(storeCossDirSwapLogFile(sd, ".new"));
     int anfd;
     file_close(sd->swaplog_fd);
-#if defined (_SQUID_OS2_) || defined (_SQUID_CYGWIN_)
-
-    if (unlink(swaplog_path) < 0) {
-        debug(50, 0) ("%s: %s\n", swaplog_path, xstrerror());
-        fatal("storeCossDirCloseTmpSwapLog: unlink failed");
-    }
-
-#endif
     if (xrename(new_path, swaplog_path) < 0) {
         fatal("storeCossDirCloseTmpSwapLog: rename failed");
     }
@@ -671,14 +663,10 @@ CossSwapDir::writeCleanDone()
     /* rename */
 
     if (state->fd >= 0) {
-#if defined(_SQUID_OS2_) || defined (_SQUID_CYGWIN_)
+#if defined(_SQUID_OS2_) || defined(_SQUID_WIN32_)
         file_close(state->fd);
         state->fd = -1;
 
-        if (unlink(state->cur) < 0)
-            debug(50, 0) ("storeCossDirWriteCleanLogs: unlinkd failed: %s, %s\n",
-                          xstrerror(), state->cur);
-
 #endif
 
         xrename(state->newLog, state->cur);

